CGAL 5.6.3 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arr_geodesic_arc_on_sphere_traits_2< Kernel, X, Y >::Point_2 Class Reference

`#include <CGAL/Arr_geodesic_arc_on_sphere_traits_2.h>`

## Definition

template<typename Kernel, typename X, typename Y>
class CGAL::Arr_geodesic_arc_on_sphere_traits_2< Kernel, X, Y >::Point_2

The `Point_2` class nested within the traits is used to represent a point on a sphere centered at the origin.

The point is in fact a not-necessarily normalized 3D direction extended with information that specifies the location of the point pre-image in the parameter space.

Is Model Of:

  `Assignable`

  `DefaultConstructible`

  `CopyConstructible`

## Enumeration types
enum | Location_type { NO_BOUNDARY_LOC = 0 , MIN_BOUNDARY_LOC , MID_BOUNDARY_LOC , MAX_BOUNDARY_LOC }
| The location type indicates a location in the parameter space. More...

## Types
typedef Kernel::Direction_3 | Direction_3

## Creation
| Point_2 (const Direction_3 &dir, Location_type location)
| Constructs a point from a direction and a location.

## Operations
void | set_location (Location_type location)
| Set the location of the point pre-image in the parameter space.
Location_type | location () const
| Obtain the location of the point.

## Member Enumeration Documentation

## ◆ Location_type

template<typename Kernel , typename X , typename Y >

enum CGAL::Arr_geodesic_arc_on_sphere_traits_2::Point_2::Location_type

The location type indicates a location in the parameter space.

Enumerator
NO_BOUNDARY_LOC | Internal to the parameter space.
MIN_BOUNDARY_LOC | The bottom side boundary of the parameter space (the south pole).
MID_BOUNDARY_LOC | The identified left and right side boundaries of the parameter space.
MAX_BOUNDARY_LOC | The top side boundary of the parameter space (the north pole).

## Constructor & Destructor Documentation

## ◆ Point_2()

template<typename Kernel , typename X , typename Y >

CGAL::Arr_geodesic_arc_on_sphere_traits_2< Kernel, X, Y >::Point_2::Point_2 | ( | const Direction_3 & | dir,
|  | Location_type | location
| ) |  |

Constructs a point from a direction and a location.

Parameters

  [in] | dir | the direction.
  [in] | location | indicates the location of the point pre-image in the parameter space.

## Member Function Documentation

## ◆ location()

template<typename Kernel , typename X , typename Y >

Location_type CGAL::Arr_geodesic_arc_on_sphere_traits_2< Kernel, X, Y >::Point_2::location | ( |  | ) | const

Obtain the location of the point.

Returns
  the location of the point pre-image in the parameter space.

## ◆ set_location()

template<typename Kernel , typename X , typename Y >

void CGAL::Arr_geodesic_arc_on_sphere_traits_2< Kernel, X, Y >::Point_2::set_location | ( | Location_type | location | ) |

Set the location of the point pre-image in the parameter space.

Parameters

  [in] | location | the updated location of the point pre-image in the parameter space.